unit Demos;

interface

uses Controls, mtbase;

Procedure BounceControl(Ball : TControl; Xd, Yd : Integer; Delay : Longint);

implementation

Procedure BounceControl;
var
  x, y : integer;

begin
  repeat
    x:=Ball.Left;
    y:=Ball.Top;
    x:=x+xd;
    If (x+Ball.Width)>Ball.Parent.clientwidth then
      begin
        x:=Ball.Parent.clientwidth-Ball.width;
        xd:=-xd;
      end;
    If x<0 then
      begin
        x:=0;
        xd:=-xd;
      end;
    y:=y+yd;
    If (y+Ball.Height)>Ball.Parent.clientheight then
      begin
        y:=Ball.Parent.clientheight-Ball.height;
        yd:=-yd;
      end;
    If y<0 then
      begin
        y:=0;
        yd:=-yd;
      end;
    Ball.Left:=x;
    Ball.Top:=y;
    Sleep(Delay);
  Until False;
end;

end.
